/*
    Copyright (C) 2005-2012  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <glib.h>
#include <glib-object.h>
#include "nntpgrab_utils.h"

void
ng_signal_connect(void *instance, const char *signal_name, NGCallback cb_handler, void *data)
{
    g_signal_connect(G_OBJECT(instance), signal_name, G_CALLBACK(cb_handler), data);
}

void
ng_signal_handlers_block_by_func(void *instance, NGCallback cb_handler, void *data)
{
    g_signal_handlers_block_by_func(G_OBJECT(instance), G_CALLBACK(cb_handler), data);
}

void
ng_signal_handlers_unblock_by_func(void *instance, NGCallback cb_handler, void *data)
{
    g_signal_handlers_unblock_by_func(G_OBJECT(instance), G_CALLBACK(cb_handler), data);
}

void
ng_signal_handlers_disconnect_by_func(void *instance, NGCallback cb_handler, void *data)
{
    g_signal_handlers_disconnect_by_func(G_OBJECT(instance), G_CALLBACK(cb_handler), data);
}
